unit Unit1;

interface          

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Menus, EC_Main, EC_DataSet,
  DB, DBTables, DBCtrls, EC_Table;
                        
type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet4: TTabSheet;
    Shape3: TShape;
    Label5: TLabel;
    Label6: TLabel;
    TabSheet2: TTabSheet;
    Button2: TButton;
    Button3: TButton;
    TabSheet1: TTabSheet;
    Shape6: TShape;
    Label3: TLabel;
    Button4: TButton;
    Button5: TButton;
    TabSheet5: TTabSheet;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Print1: TMenuItem;
    PrintSetup1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    PrinterSetupDialog1: TPrinterSetupDialog;
    Shape1: TShape;
    Label1: TLabel;
    Label4: TLabel;
    Shape2: TShape;
    Label2: TLabel;
    Panel1: TPanel;
    DBLabel1: TDBText;
    DBImage1: TDBImage;
    Panel3: TPanel;
    DBMemo1: TDBMemo;
    Table1: TTable;
    Table1Category: TStringField;
    Table1SpeciesName: TStringField;
    Table1Lengthcm: TFloatField;
    Table1Length_In: TFloatField;
    Table1Common_Name: TStringField;
    Table1Notes: TMemoField;
    Table1Graphic: TBlobField;
    DataSource1: TDataSource;
    Shape5: TShape;
    Label7: TLabel;
    DBNavigator1: TDBNavigator;
    ExportTable1: TExportTable;
    Label12: TLabel;
    TabSheet3: TTabSheet;
    TabSheet6: TTabSheet;
    Shape7: TShape;
    Label13: TLabel;
    Label14: TLabel;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Label16: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Shape9: TShape;
    Label24: TLabel;
    Label25: TLabel;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Shape4: TShape;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Image6: TImage;
    Image10: TImage;
    TabSheet7: TTabSheet;
    Shape8: TShape;
    Label15: TLabel;
    Label17: TLabel;
    Image1: TImage;
    Label18: TLabel;
    Label35: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Image11: TImage;
    procedure Label8Click(Sender: TObject);
    procedure Label9Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure PrintSetup1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses ShellAPI;

{ BEGIN - DEMO 1 }

procedure TForm1.PrintSetup1Click(Sender: TObject);
begin
  // Print Setup
  PrinterSetupDialog1.Execute;
end;

procedure TForm1.Print1Click(Sender: TObject);
begin
  // Print
  ExportTable1.Print;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  // Show Choose Dialog
  ExportTable1.Choose;
end;

{ END - DEMO 1 }

{ BEGIN - DEMO 2 }

procedure TForm1.Button5Click(Sender: TObject);
begin
  with ExportTable1 do
  begin
    ExportType := xMicrosoft_Word;
    Options := Options + [NumberRows]; // We Want Row Numbering
    ViewOnly := True;                  // Export to Screen
    Execute;                           // Do Export
  end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  with ExportTable1 do
  begin
    ExportType := xMicrosoft_Word;
    Options := Options + [NumberRows]; // We Want Row Numbering
    ViewOnly := False;                 // Export to Screen
    ExportFile := '';                  // Ensure it's blank, so we get a file dialog
    Execute;                           // Do Export
  end;
end;

{END - DEMO 2 }

{ BEGIN - PLEASE IGNORE }

procedure TForm1.Label8Click(Sender: TObject);
begin
  // Visit our Web Page
  ShellExecute(0, PChar('open'), PChar(cComponentsWebSite), PChar(''), PChar(''), SW_SHOWNORMAL);
end;

procedure TForm1.Label9Click(Sender: TObject);
begin
  // Send us E-mail
  ShellExecute(0, PChar('open'), PChar(cComponentsMailto), PChar(''), PChar(''), SW_SHOWNORMAL);
end;

{ END - PLEASE IGNORE }

end.
